%define version 1.129

%define psconfdir %{_sysconfdir}/procmail

Summary: Utility to scan incomming e-mail for viruses and trojans
Name: procmail-security
Version: %{version}
Release: 1
Copyright: GPL
Group: Networking/Utilities
BuildArchitectures: noarch
Url: http://www.impsec.org/email-tools/procmail-security.html
Vendor: John D. Hardin <jhardin@wolfenet.com>

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: perl, mktemp, metamail

%description
Sanitizing rules for sendmail/procmail to filter "bad" content (viruses,
trojans, ...) from e-mails.

%prep
%setup

#%build
#make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{psconfdir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/html-trap.procmail $RPM_BUILD_ROOT%{psconfdir}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/poisoned $RPM_BUILD_ROOT%{psconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{psconfdir}/html-trap.procmail
%config(noreplace) %{psconfdir}/poisoned
%doc procmail-security.html procmailrc.example poisoned.txt

%changelog
* Tue Apr 17 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.129

* Mon Mar 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- applied patch from Karl Dunn <Karl.Dunn@vmic.com>

* Tue Mar  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.128

* Tue Feb  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.127

* Mon Jan 22 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.126

* Mon Dec  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.124

* Tue Nov 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.123
- updated '%{psconfdir}/poisoned' file

* Wed Sep 27 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.119

* Wed Sep 20 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.118
- updated URL

* Wed Aug  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.117
- updated procmail-security.html

* Sat Aug  5 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.116

* Thu Jul 27 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.115
- spec slightly changed

* Mon Jul 24 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.113

* Thu Jun  1 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.112

* Sun May 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.111

* Thu May 11 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.104

* Thu May  4 2000 Peter Hanecak <hanecak@megaloman.sk>
- initial spec
